Zandronum Chat @ irc.zandronum.com
#zandronum
Get the latest version: 3.0
Source Code

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0001874Doomseeker[All Projects] Suggestionpublic2014-07-06 22:092018-09-29 14:42
ReporterZalewa 
Assigned ToZalewa 
PrioritynormalSeverityminorReproducibilityhave not tried
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version0.12 Beta 
Target Version1.0Fixed in Version1.0 
Summary0001874: Icon overhaul
DescriptionThis issue is to officially track the icon replacement process for the release of 1.0.

Currently we have:
- replaced Doomseeker executable icons with much cleaner versions provided by MazterQyoun-ae and CarpeDiem,
- working on a replacement for at least some of the icons in the main window.
Attached Files

- Relationships
related to 0003320closedZalewa Replace buddies.png (id Software / Doom) 

-  Notes
User avatar (0009882)
Zalewa (developer)
2014-07-06 22:11
edited on: 2014-07-06 22:12

Replacement sample of main window's icons for refresh, Wadseeker, log, server info and "create game" box:
http://imgur.com/Bss9fDz [^]

User avatar (0009893)
Zalewa (developer)
2014-07-07 19:49

Commit with 5 new icons. "Create game" might still be replaced.
https://bitbucket.org/Blzut3/doomseeker/commits/3a9360bf1cd3b05a654143b7892848a2ca62b4d6 [^]
User avatar (0009896)
MazterQyoun-ae (reporter)
2014-07-07 21:22

Replaced the planet with the computer icon from Server Info. Try this one for Create Server/Game:
https://dl.dropboxusercontent.com/u/96347329/dsicon/new/create-server-v2.png [^]
User avatar (0009920)
Zalewa (developer)
2014-07-09 17:27
edited on: 2014-07-09 17:35

Showcase:http://imgur.com/sR3iYSZ [^]
I think this starts to look pretty rad.

However, icon styles are now clashing with each other. While I think that doomguys and play/record icons are okay, I really don't like how the chat and filter icons don't fit with the rest.

I guess the next step would be to replace chat and filter icons. I think that what's in the picture now is okay, so chat icon should still consist of chat clouds, and filter icon should still have a funnel, but I'd like them to be done in the same style as the new ones.


Edit:
While we're at it, I'd also like to have a generic plus, minus, X and "check mark" icons done in the same style. Preferred size 32x32.

User avatar (0009926)
Blzut3 (administrator)
2014-07-09 21:17

Yeah the chat and filter icons definitely need to be replaced. However, I wouldn't rule out also replacing the buddies list and the play and record icons. The latter two might be hard to do anything with though.
User avatar (0010127)
MazterQyoun-ae (reporter)
2014-08-04 21:59

Took us long enough, but we took a break and all, been busy with other stuff. So here they are, try these:

https://dl.dropboxusercontent.com/u/96347329/dsicon/new/chat.png [^]
https://dl.dropboxusercontent.com/u/96347329/dsicon/new/filter.png [^]

https://dl.dropboxusercontent.com/u/96347329/dsicon/new/generic-plus.png [^]
https://dl.dropboxusercontent.com/u/96347329/dsicon/new/generic-minus.png [^]
https://dl.dropboxusercontent.com/u/96347329/dsicon/new/generic-checkmark.png [^]
https://dl.dropboxusercontent.com/u/96347329/dsicon/new/generic-cross.png [^]

Going to try something with friends and play/record demo now.
User avatar (0010128)
MazterQyoun-ae (reporter)
2014-08-04 22:22

Here are the remaining ones:

https://dl.dropboxusercontent.com/u/96347329/dsicon/new/buddies.png [^]

https://dl.dropboxusercontent.com/u/96347329/dsicon/new/demo-playback.png [^]
https://dl.dropboxusercontent.com/u/96347329/dsicon/new/demo-record.png [^]
User avatar (0010132)
Zalewa (developer)
2014-08-05 20:47

Wonderful, and there's no rush. I'm on a kind of a break too, anyway, doing other stuff. I'll add these icons sometime soon to see how they look.
User avatar (0010138)
MazterQyoun-ae (reporter)
2014-08-06 23:31

Please use this [slightly improved] filter icon instead of the one provided above:

https://dl.dropboxusercontent.com/u/96347329/dsicon/new/filver-v2.png [^]
User avatar (0010151)
Zalewa (developer)
2014-08-09 15:04

New showcase:http://imgur.com/a/wCxeC [^]

I must admit that Doomseeker looks rather grim now, although I'm not yet sure whether that's a bad thing. I kind of like the new look.

One thing that definitely needs further adjustment is the demo record button. I've provided a second screenshot where the current icon is used for reference. I think it'd be good if record button stood out somehow from the rest. Maybe it should be grey or maybe a brighter shade of red.
User avatar (0010152)
Blzut3 (administrator)
2014-08-10 03:34

I like it.

I'm not entirely sure I agree with the demo buttons needing further adjustment, but perhaps changing the play button to gray may help make the record button more obvious? A brighter shade of red would kind of break the consistency, but I suppose it wouldn't look bad.
User avatar (0010157)
jam (reporter)
2014-08-10 12:03

I liked it too! Would really shine if the overall theme would match the color gradients of the icons though :D
User avatar (0010167)
Zalewa (developer)
2014-08-10 17:09

Overall theme depends on the theme of your operating system. We won't be overriding that.
User avatar (0010174)
MazterQyoun-ae (reporter)
2014-08-11 01:27
edited on: 2014-08-11 01:27

Please try this record icon:

https://dl.dropboxusercontent.com/u/96347329/dsicon/new/demo-record-v2.png [^]

User avatar (0010190)
Zalewa (developer)
2014-08-12 20:36
edited on: 2014-08-12 21:31

Final showcase:http://i.imgur.com/5DQAmwz.jpg [^]

Okay, I guess I'm happy with what we have now. Unless anyone else has any suggestions I think we can take a break from this issue for now. Thanks for all the help.

User avatar (0010210)
Zalewa (developer)
2014-08-16 09:12

I think there is one more thing that we need at the moment. While I was adding the new generic icons to the program I noticed that we're missing an icon for 'edit' operations. Could you provide such icon?
User avatar (0010211)
MazterQyoun-ae (reporter)
2014-08-16 11:21

Hmm…? Could you show me where is it?
User avatar (0010212)
Zalewa (developer)
2014-08-17 08:45

Here's an example:http://i.imgur.com/fVA5qwU.jpg [^]
User avatar (0010282)
MazterQyoun-ae (reporter)
2014-09-21 12:10

Sorry for taking long, try this one:
https://dl.dropboxusercontent.com/u/96347329/dsicon/new/generic-edit.png [^]
User avatar (0010890)
Zalewa (developer)
2014-11-16 09:40

I've finally gotten myself back into working on Doomseeker. Unfortunately, the edit icon is 404 now. Can you please reupload?
User avatar (0011876)
Zalewa (developer)
2015-03-22 20:12

I guess we can close this as all icons that needed replacing were replaced. Thanks for the help.

Issue Community Support
This issue is already marked as resolved.
If you feel that is not the case, please reopen it and explain why.
Supporters: jam
Opponents: No one explicitly opposes this issue yet.

- Issue History
Date Modified Username Field Change
2014-07-06 22:09 Zalewa New Issue
2014-07-06 22:11 Zalewa Note Added: 0009882
2014-07-06 22:12 Zalewa Note Edited: 0009882 View Revisions
2014-07-07 19:49 Zalewa Note Added: 0009893
2014-07-07 21:22 MazterQyoun-ae Note Added: 0009896
2014-07-09 17:27 Zalewa Note Added: 0009920
2014-07-09 17:34 Zalewa Note Edited: 0009920 View Revisions
2014-07-09 17:35 Zalewa Note Edited: 0009920 View Revisions
2014-07-09 21:17 Blzut3 Note Added: 0009926
2014-08-04 21:59 MazterQyoun-ae Note Added: 0010127
2014-08-04 22:22 MazterQyoun-ae Note Added: 0010128
2014-08-05 20:47 Zalewa Note Added: 0010132
2014-08-06 23:31 MazterQyoun-ae Note Added: 0010138
2014-08-09 15:04 Zalewa Note Added: 0010151
2014-08-10 03:34 Blzut3 Note Added: 0010152
2014-08-10 12:03 jam Note Added: 0010157
2014-08-10 17:09 Zalewa Note Added: 0010167
2014-08-11 01:27 MazterQyoun-ae Note Added: 0010174
2014-08-11 01:27 MazterQyoun-ae Note Edited: 0010174 View Revisions
2014-08-12 20:36 Zalewa Note Added: 0010190
2014-08-12 21:31 Zalewa Note Edited: 0010190 View Revisions
2014-08-16 09:12 Zalewa Note Added: 0010210
2014-08-16 11:21 MazterQyoun-ae Note Added: 0010211
2014-08-17 08:45 Zalewa Note Added: 0010212
2014-09-21 12:10 MazterQyoun-ae Note Added: 0010282
2014-11-16 09:40 Zalewa Note Added: 0010890
2015-03-22 20:12 Zalewa Note Added: 0011876
2015-03-22 20:12 Zalewa Status new => resolved
2015-03-22 20:12 Zalewa Fixed in Version => 1.0
2015-03-22 20:12 Zalewa Resolution open => fixed
2015-03-22 20:12 Zalewa Assigned To => Zalewa
2017-11-01 10:20 WubTheCaptain Relationship added related to 0003320
2018-09-29 14:42 WubTheCaptain Status resolved => closed






Questions or other issues? Contact Us.

Links


Copyright © 2000 - 2020 MantisBT Team
Powered by Mantis Bugtracker